//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------
USEFORM("SDIMain.cpp", BeTestWin);
USEFORM("About.cpp", AboutBox);
USERES("BeTest.res");
USEFORM("CharacterUnit.cpp", CharacterForm);
USEUNIT("CharacterClass.cpp");
USEFORM("ItemUnit.cpp", ItemForm);
USEFORM("PlayerUnit.cpp", ControlForm);
USEFORM("SettingsUnit.cpp", SettingsForm);
USEFILE("Brainiac.h");
USELIB("bbe.lib");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	Application->Initialize();
	Application->Title = "Brainiac Behavior Engine Debugger";
        Application->HelpFile = "Brainiac.hlp";
        Application->CreateForm(__classid(TBeTestWin), &BeTestWin);
        Application->CreateForm(__classid(TAboutBox), &AboutBox);
        Application->CreateForm(__classid(TCharacterForm), &CharacterForm);
        Application->CreateForm(__classid(TItemForm), &ItemForm);
        Application->CreateForm(__classid(TSettingsForm), &SettingsForm);
        Application->CreateForm(__classid(TControlForm), &ControlForm);
        Application->Run();

	return 0;
}
//---------------------------------------------------------------------
